Snowreports and Snowfall API
Returns snow conditions, trail statuses, lift statuses, and other key operational details for ski resorts.
Note snow reports are sourced directly from the ski resorts and are only recorded during the ski season. Snow reports are generally updated daily, though always be to sure to display or filter based on updatedDt as in some cases the resort snow report can be outdated.
Key details the resort snowreport api resource returns:
Status - The resort operating statues (e.g. open, closed) and planned open/closing dates.
Depths - Snow depths at base, mid, and summit. Note resorts do not always report all three values, most commonly the base and summit are only reported.
Recent - reported snowfall for the last 7 days.
Lifts - Number of open lifts.
Terrain - Open runs and terrain resort status.
Surface Type - The primary surface of the snow (e.g. Packed Powder)
200 response
Represents the snow report for a partner resort.
- Primary snow surface type at the top:
- 1 - Powder
- 2 - Packed Powder
- 3 - Machine Made
- 4 - Machine Groomed
- 5 - Hard Packed
- 6 - Spring Snow
- 7 - Corn Snow
- 8 - Loose Granular
- 9 - Frozen Granular
- 10 - Granular
- 11 - Icy Spots
- 12 - Bare Spots
- 13 - Obstacles
- 14 - Skiers Packed
- 15 - Variable Conditions
- 16 - Wet Snow
- 17 - Thin Cover
- 18 - Wind Blown
Snow reporter's condition narrative for the requested locale. null when the resort did not provide one.
Resort ID
- Primary snow surface type at the bottom:
- 1 - Powder
- 2 - Packed Powder
- 3 - Machine Made
- 4 - Machine Groomed
- 5 - Hard Packed
- 6 - Spring Snow
- 7 - Corn Snow
- 8 - Loose Granular
- 9 - Frozen Granular
- 10 - Granular
- 11 - Icy Spots
- 12 - Bare Spots
- 13 - Obstacles
- 14 - Skiers Packed
- 15 - Variable Conditions
- 16 - Wet Snow
- 17 - Thin Cover
- 18 - Wind Blown
The last update date and time of the snow report in ISO 8601 format.
GET /resorts/snowreport HTTP/1.1
Host: partner-api.onthesnow.com
x-api-key: YOUR_API_KEY
Accept: */*
200 response
[
{
"depth": {
"middle": 1,
"summit": 1,
"base": 1
},
"surfaceType": 1,
"comment": "text",
"lifts": {
"total": 1,
"details": [
{
"name": "text",
"type": "surface",
"status": 0
}
],
"open": 1
},
"resort": 1,
"terrain": {
"parks": {
"total": 1,
"open": 1
},
"canReturnBySki": true,
"km": {
"total": 1,
"open": 1
},
"runsIntermediate": {
"total": 1,
"openPercent": 1,
"totalLen": 1,
"openNum": 1,
"totalPercent": 1,
"openLen": 1
},
"runsExpert": {
"total": 1,
"openPercent": 1,
"totalLen": 1,
"openNum": 1,
"totalPercent": 1,
"openLen": 1
},
"runsBeginner": {
"total": 1,
"openPercent": 1,
"totalLen": 1,
"openNum": 1,
"totalPercent": 1,
"openLen": 1
},
"runsAdvanced": {
"total": 1,
"openPercent": 1,
"totalLen": 1,
"openNum": 1,
"totalPercent": 1,
"openLen": 1
},
"tubes": {
"total": 1,
"open": 1
},
"acres": {
"total": 1,
"open": 1
},
"nordic": {
"total": 1,
"skategroomed": 1,
"trackset": 1,
"open": 1
},
"runs": {
"total": 1,
"openPercent": 1,
"details": [
{
"difficulty": 0,
"nightskiing": true,
"snowmaking": true,
"name": "text",
"grooming": true,
"status": 0
}
],
"open": 1
},
"pipes": {
"total": 1,
"open": 1
}
},
"recent": [
{
"date": "text",
"snow": 1
}
],
"url": "text",
"surfaceTypeBottom": 1,
"status": {
"openFlag": 1,
"closingDate": "text",
"openingDate": "text"
},
"updatedAt": "2026-01-01T00:00:00.000Z"
}
]Last updated